# Serialized Form

Package org.apache.lucene.index.memory

Class org.apache.lucene.index.memory.MemoryIndex extends Object implements Serializable

serialVersionUID: 2782195016849084649L

Serialized Fields

### fields

    HashMap<K,V> fields

  info for each field: Map<String fieldName, Info field>

### stride

    int stride

  pos: positions[3*i], startOffset: positions[3*i +1], endOffset: positions[3*i +2]

### fieldInfos

    org.apache.lucene.index.FieldInfos fieldInfos